<div class="row">
  <div class="col">
    <div class="card">
      <div class="card-header">
        Your Shopping Cart
      </div>

      <div class="card-body">
        <p *ngIf="cart.count === 0" class="text-center text-danger">
          <fa name="shopping-cart" [rotate]="180"></fa>
          Your shopping cart is empty.
        </p>
        <table *ngIf="cart.count > 0" class="table table-hover table-responsive table-sm">
          <thead>
          <tr class="py-0">
            <th></th>
            <th>Title</th>
            <th class="numeric">Price</th>
            <th class="numeric">Qty</th>
            <th class="numeric">Amount</th>
            <th></th>
          </tr>
          </thead>

          <tbody>
          <tr *ngFor="let item of cart.items">
            <td>
              <div class="img-container">
                <img src="{{item.product.image}}"/>
              </div>
            </td>
            <td>{{item.product.title}}</td>
            <td class="numeric">{{item.product.price | currency:'SEK'}}</td>
            <td class="numeric">
              <input type="number" min="1" name="count" [(ngModel)]="item._count"/>
            </td>
            <td class="numeric">{{item.amount | currency:'SEK'}}</td>
            <td>
              <button type="button" (click)="cart.remove(item.product)" class="btn btn-danger btn-sm">
                <fa name="trash"></fa>
              </button>
            </td>
          </tr>
          </tbody>

          <tfoot>
          <tr>
            <td colspan="3"></td>
            <td>Total Amount:</td>
            <td class="numeric total">{{cart.amount | currency:'SEK'}}</td>
            <td></td>
          </tr>
          </tfoot>
        </table>
      </div>

      <div class="card-footer text-center">
        <button type="button" (click)="clearCart()" [disabled]="cart.count === 0" class="btn btn-danger">
          <fa name="trash"></fa>
          Clear Cart
        </button>
        <button type="button" routerLink="/checkout" [disabled]="cart.count === 0" class="btn btn-success">
          <fa name="credit-card"></fa>
          Goto Payment
        </button>
      </div>
    </div>
  </div>
</div>
